---
type: api
title: Delete a snooze schedule for a rule
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-delete-alerting-rule-ruleid-snooze-schedule-scheduleid
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-delete-alerting-rule-ruleid-snooze-schedule-scheduleid
products:
  - Kibana
---

# Delete a snooze schedule for a rule

Availability: 8.19+

- Server: `https://{kibana_url}`

## Paths

- `DELETE` `/api/alerting/rule/{ruleId}/snooze_schedule/{scheduleId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `ruleId` (string)
  The identifier for the rule.
- `scheduleId` (string)
  The identifier for the snooze schedule.

## Responses

#### `204`

Indicates a successful call.

#### `400`

Indicates an invalid schema.

#### `403`

Indicates that this call is forbidden.

#### `404`

Indicates a rule with the given id does not exist.

## Code Examples

#### Console

```console
DELETE /api/alerting/rule/{ruleId}/snooze_schedule/{scheduleId}
```

#### curl

```curl
curl -X DELETE "https://{kibana_url}/api/alerting/rule/{ruleId}/snooze_schedule/{scheduleId}" \
  -H "kbn-xsrf: true"
```

